org.apache.hadoop.hdfs.server.namenode

## Class FSImageFormatPBINode.Saver

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.FSImageFormatPBINode.Saver

- Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.FSImageFormatPBINode

      public static final class FSImageFormatPBINode.Saver
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FsImageProto.INodeSection.INodeDirectory.Builder` | `buildINodeDirectory(org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes dir, FSImageFormatProtobuf.SaverContext state)`
    `static FsImageProto.INodeSection.INodeFile.Builder` | `buildINodeFile(org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes file, FSImageFormatProtobuf.SaverContext state)`
    `long` | `getNumImageErrors()` Number of non-fatal errors detected while writing the INodeSection and INodeDirectorySection sections.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildINodeFile

          public static FsImageProto.INodeSection.INodeFile.Builder buildINodeFile(org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes file,
                                                                                   FSImageFormatProtobuf.SaverContext state)

    - #### buildINodeDirectory

          public static FsImageProto.INodeSection.INodeDirectory.Builder buildINodeDirectory(org.apache.hadoop.hdfs.server.namenode.INodeDirectoryAttributes dir,
                                                                                             FSImageFormatProtobuf.SaverContext state)

    - #### getNumImageErrors

          public long getNumImageErrors()

      Number of non-fatal errors detected while writing the INodeSection and INodeDirectorySection sections.
      Returns:
        the number of non-fatal errors detected.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.